# Approw Vue UI Components

[Approw](https://approw.com) is an enterprise-level identity authentication provider that integrates multiple identity authentication and authorization solutions such as OAuth, LDAP, and OIDC. This repository contains some UI components provided by Approw.

## Guard
 
The Approw login component (Guard) is an embeddable login form that can be configured according to your needs and is recommended for single-page applications. It allows you to easily add various social login methods so that your users can log in seamlessly and have a consistent login experience on different platforms. 

Guard has the following basic functions：

- Login：
  - Login with account and secret (including phone + password, email + password, username + password);
  - SMS verification code login;
  - APP QR code login (need to introduce APP QR code login first);
  - Social login (need to configure social login first);
  - Enterprise identity provider login(need to configure enterprise IDP);
- Registration：
  - register by account and password;
  - register by SMS verification code;
- Forget password and reset password;
- MFA (multi-factor authentication);
- Responsive feature (compatible with both mobile device and PC);
- complete UI customize function;
- compatible with mainstream front-end UI repository:
  - Native JavaScript;
  - Vue component;
  - React component;
  - Angular component.

![Guard Demo](./static/images/guard-demo.jpg)

For detailed documents please refer: [Guard for Web](https://docs.authing.cn/v2/reference/ui-components/vue.html)
